Bug 175525 - [PATCH] german,japanese,russian/wordpress: update to 3.5,1
[PATCH] german,japanese,russian/wordpress: update to 3.5,1
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Xin LI
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-23 10:10 UTC by takefu
Modified: 2013-01-30 02:00 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description takefu 2013-01-23 10:10:00 UTC
german,japanese
- Update to 3.5,1

russian
- Change tarball
- fix OptionNG

russian,www
- fix install permission

Added file(s):
russian,www
- files/pkg-install.in
www
- files/pkg-message.in

Removed file(s):
www
- pkg-message

german
Port maintainer (miwi@FreeBSD.org) is cc'd.
russian
Port maintainer (9267096@gmail.com) is cc'd.
www
Port maintainer (ychsiao@ychsiao.org) is cc'd.


--- de-wordpress-3.5,1.patch begins here ---
diff -ruN --exclude=CVS /usr/ports/german/wordpress/Makefile ./Makefile
--- /usr/ports/german/wordpress/Makefile	2012-11-17 14:58:00.000000000 +0900
+++ ./Makefile	2013-01-23 17:48:55.000000000 +0900
@@ -1,9 +1,10 @@
-# Created by:	miwi
+# Created by: miwi
 # $FreeBSD: ports/german/wordpress/Makefile,v 1.48 2012/11/17 05:58:00 svnexp Exp $
 #

 PORTNAME=	wordpress
-PORTVERSION=	3.4.2
+PORTVERSION=	3.5
+PORTEPOCH=	1
 CATEGORIES=	german www
 MASTER_SITES=	http://de.wordpress.org/
 DISTNAME=	${PORTNAME}-${PORTVERSION}-de_DE
diff -ruN --exclude=CVS /usr/ports/german/wordpress/distinfo ./distinfo
--- /usr/ports/german/wordpress/distinfo	2012-10-14 02:46:26.000000000 +0900
+++ ./distinfo	2013-01-23 17:46:38.000000000 +0900
@@ -1,2 +1,2 @@
-SHA256 (wordpress-3.4.2-de_DE.tar.gz) = d84bfb5a900048f51f5d964a6277228df2514046cd6ab175146e02fd0ee0f658
-SIZE (wordpress-3.4.2-de_DE.tar.gz) = 4944236
+SHA256 (wordpress-3.5-de_DE.tar.gz) = 8eb1c1e993de625170e20782241da69e09eef09b323edbaf51714cce7cfacd1e
+SIZE (wordpress-3.5-de_DE.tar.gz) = 6144294
--- de-wordpress-3.5,1.patch ends here ---


--- ja-wordpress-3.5,1.patch begins here ---
diff -ruN --exclude=CVS /usr/ports/japanese/wordpress/Makefile ./Makefile
--- /usr/ports/japanese/wordpress/Makefile	2012-11-17 14:58:41.000000000 +0900
+++ ./Makefile	2013-01-23 18:47:54.000000000 +0900
@@ -2,7 +2,8 @@
 # $FreeBSD: ports/japanese/wordpress/Makefile,v 1.8 2012/11/17 05:58:41 svnexp Exp $

 PORTNAME=	wordpress
-PORTVERSION=	3.4.2
+PORTVERSION=	3.5
+PORTEPOCH=	1
 CATEGORIES=	japanese www
 MASTER_SITES=	http://ja.wordpress.org/
 DISTNAME=	${PORTNAME}-${PORTVERSION}-ja
@@ -26,6 +27,8 @@
 PLIST=		${WRKDIR}/pkg-plist
 PORTDOCS=	license.txt readme.html

+OPTIONS_DEFINE=	DOCS
+
 pre-everything::
 	@${ECHO_CMD} "If you want to upgrade, you must read upgrade document."
 	@${ECHO_CMD} ""
diff -ruN --exclude=CVS /usr/ports/japanese/wordpress/distinfo ./distinfo
--- /usr/ports/japanese/wordpress/distinfo	2012-10-14 02:16:53.000000000 +0900
+++ ./distinfo	2013-01-23 17:42:04.000000000 +0900
@@ -1,2 +1,2 @@
-SHA256 (wordpress-3.4.2-ja.tar.gz) = a8caa2bf5100583c40f3236e78b200514e6e76a6b99d1caf1298e616d9e64952
-SIZE (wordpress-3.4.2-ja.tar.gz) = 4970768
+SHA256 (wordpress-3.5-ja.tar.gz) = 190e8cbfa2e75592519b750bdcfdac37393990c11d196c036b470b86f9939ec2
+SIZE (wordpress-3.5-ja.tar.gz) = 6168936
--- ja-wordpress-3.5,1.patch ends here ---


--- ru-wordpress-3.5.patch begins here ---
diff -ruN --exclude=CVS /usr/ports/russian/wordpress/Makefile ./Makefile
--- /usr/ports/russian/wordpress/Makefile	2012-12-17 04:34:15.000000000 +0900
+++ ./Makefile	2013-01-23 18:48:46.000000000 +0900
@@ -8,21 +8,25 @@
 DISTNAME=	${PORTNAME}-${PORTVERSION}-ru_RU

 MAINTAINER=	9267096@gmail.com
-COMMENT=	State-of-the-art semantic personal publishing platform
+COMMENT=	A state-of-the-art semantic personal publishing platform

 LICENSE=	GPLv2
+LICENSE_FILE=	${WRKSRC}/license.txt

 CONFLICTS_INSTALL=	wordpress-3.* de-wordpress-3.* ja-wordpress-3.*

 NO_BUILD=	yes
-USE_ZIP=	yes
 USE_PHP=	curl gd mysql pcre tokenizer xml zip
 WANT_PHP_WEB=	yes
 WRKSRC=		${WRKDIR}/${PORTNAME}

+SUB_FILES=	pkg-message pkg-install
+SUB_LIST=	CHGRP="${CHGRP}" CHOWN="${CHOWN}" CHMOD="${CHMOD}"\
+		FIND="${FIND}" WWWGRP="${WWWGRP}" WWWOWN="${WWWOWN}"
 PLIST=		${WRKDIR}/pkg-plist
-PORTDOCS=	readme.html
-SUB_FILES=	pkg-message
+PORTDOCS=	license.txt readme.html
+
+OPTIONS_DEFINE=	DOCS

 pre-everything::
 	@${ECHO_CMD} "If you want to upgrade, you must read upgrade document."
@@ -36,15 +40,18 @@
 	if [ ! -f ${WRKSRC}/wp-config-sample.php ]; then ${CP} \
 		${WRKSRC}/wp-config.php.sample ${WRKSRC}/wp-config.php; fi

+.include <bsd.port.options.mk>
+
 do-install:
 	${INSTALL} -d -g ${WWWGRP} -m 755 -o ${WWWOWN} ${WWWDIR}/
 	${CP} -R ${WRKSRC}/ ${WWWDIR}/
-.if !defined(NOPORTDOCS)
+.if ${PORT_OPTIONS:MDOCS}
 	${MKDIR} ${DOCSDIR}/
 	cd ${WRKSRC}/ && ${INSTALL_DATA} ${PORTDOCS} ${DOCSDIR}/
 .endif

 post-install:
+	@${SETENV} PKG_PREFIX=${PREFIX} ${SH} ${PKGINSTALL} ${PKGNAME} POST-INSTALL
 	@${CAT} ${PKGMESSAGE}

 .include <bsd.port.mk>
diff -ruN --exclude=CVS /usr/ports/russian/wordpress/distinfo ./distinfo
--- /usr/ports/russian/wordpress/distinfo	2012-12-17 04:34:15.000000000 +0900
+++ ./distinfo	2013-01-23 17:58:07.000000000 +0900
@@ -1,2 +1,2 @@
-SHA256 (wordpress-3.5-ru_RU.zip) = 850d56fee6cdd45c765d627d41df7c8b318470bebbb7b07a722ee7eb4d53cf21
-SIZE (wordpress-3.5-ru_RU.zip) = 6664495
+SHA256 (wordpress-3.5-ru_RU.tar.gz) = b8678ee3e91c471b520c543a639644a1ab7daa712a6e9a3539851d7c8f9d8e62
+SIZE (wordpress-3.5-ru_RU.tar.gz) = 6183385
diff -ruN --exclude=CVS /usr/ports/russian/wordpress/files/pkg-install.in ./files/pkg-install.in
--- /usr/ports/russian/wordpress/files/pkg-install.in	1970-01-01 09:00:00.000000000 +0900
+++ ./files/pkg-install.in	2012-05-23 21:22:28.000000000 +0900
@@ -0,0 +1,12 @@
+#!/bin/sh
+case $2 in
+	PRE-INSTALL)
+		;;
+	POST-INSTALL)
+		%%CHOWN%% -R %%WWWOWN%% %%WWWDIR%%/wp-content
+		%%FIND%% %%WWWDIR%% -type d -print | xargs %%CHGRP%% %%WWWGRP%%
+		%%FIND%% %%WWWDIR%% -type d -print | xargs %%CHMOD%% g+w
+		;;
+	*)
+	;;
+esac
diff -ruN --exclude=CVS /usr/ports/russian/wordpress/pkg-descr ./pkg-descr
--- /usr/ports/russian/wordpress/pkg-descr	2012-12-17 04:34:15.000000000 +0900
+++ ./pkg-descr	2012-01-06 16:32:54.000000000 +0900
@@ -4,4 +4,4 @@
 More simply, Wordpress is what you use when you want to work
 with your blogging software, not fight it.

-WWW: http://ru.wordpress.org/
+WWW:	http://ru.wordpress.org/
--- ru-wordpress-3.5.patch ends here ---


--- wordpress-3.5,1.patch begins here ---
diff -ruN --exclude=CVS /usr/ports/www/wordpress/Makefile ./Makefile
--- /usr/ports/www/wordpress/Makefile	2012-12-13 05:56:27.000000000 +0900
+++ ./Makefile	2013-01-23 18:46:24.000000000 +0900
@@ -1,9 +1,5 @@
-# New ports collection makefile for:	wordpress
-# Date created:		2004-07-29
-# Whom:			Elvis Chiang <elvis@sslab.cs.ccu.edu.tw>
-#
-# $FreeBSD: ports/www/wordpress/Makefile,v 1.81 2012/12/12 20:56:27 svnexp Exp $
-#
+# Created by: Elvis Chiang <elvis@sslab.cs.ccu.edu.tw>
+# $FreeBSD: ports/www/wordpress/Makefile,v 1.79 2012/09/07 20:25:41 swills Exp $

 PORTNAME=	wordpress
 PORTVERSION=	3.5
@@ -14,6 +10,9 @@
 MAINTAINER=	ychsiao@ychsiao.org
 COMMENT=	A state-of-the-art semantic personal publishing platform

+LICENSE=	GPLv2
+LICENSE_FILE=	${WRKSRC}/license.txt
+
 CONFLICTS_INSTALL=	de-wordpress-3.* ja-wordpress-3.* ru-wordpress-3.*

 NO_BUILD=	yes
@@ -21,6 +20,9 @@
 WANT_PHP_WEB=	yes
 WRKSRC=		${WRKDIR}/${PORTNAME}

+SUB_FILES=	pkg-message pkg-install
+SUB_LIST=	CHGRP="${CHGRP}" CHOWN="${CHOWN}" CHMOD="${CHMOD}"\
+		FIND="${FIND}" WWWGRP="${WWWGRP}" WWWOWN="${WWWOWN}"
 PLIST=		${WRKDIR}/pkg-plist
 PORTDOCS=	license.txt readme.html

@@ -49,6 +51,7 @@
 .endif

 post-install:
+	@${SETENV} PKG_PREFIX=${PREFIX} ${SH} ${PKGINSTALL} ${PKGNAME} POST-INSTALL
 	@${CAT} ${PKGMESSAGE}

 .include <bsd.port.mk>
diff -ruN --exclude=CVS /usr/ports/www/wordpress/files/pkg-install.in ./files/pkg-install.in
--- /usr/ports/www/wordpress/files/pkg-install.in	1970-01-01 09:00:00.000000000 +0900
+++ ./files/pkg-install.in	2012-05-23 22:33:52.000000000 +0900
@@ -0,0 +1,12 @@
+#!/bin/sh
+case $2 in
+	PRE-INSTALL)
+		;;
+	POST-INSTALL)
+		%%CHOWN%% -R %%WWWOWN%% %%WWWDIR%%/wp-content
+		%%FIND%% %%WWWDIR%% -type d -print | xargs %%CHGRP%% %%WWWGRP%%
+		%%FIND%% %%WWWDIR%% -type d -print | xargs %%CHMOD%% g+w
+		;;
+	*)
+	;;
+esac
diff -ruN --exclude=CVS /usr/ports/www/wordpress/files/pkg-message.in ./files/pkg-message.in
--- /usr/ports/www/wordpress/files/pkg-message.in	1970-01-01 09:00:00.000000000 +0900
+++ ./files/pkg-message.in	2012-05-23 22:33:52.000000000 +0900
@@ -0,0 +1,6 @@
+                  **** NOTE ****
+Before the first use of WordPress, copy wp-config-sample.php to wp-config.php
+in %%WWWDIR%% and modify it to fit your MySQL.
+Maybe you need 'mysqladmin create wordpress' first.
+If you are upgrading from 1.x or 2.x to 3.x, please run
+http://your.site/wordpress/wp-admin/upgrade.php to upgrade to WordPress 3.x
diff -ruN --exclude=CVS /usr/ports/www/wordpress/pkg-message ./pkg-message
--- /usr/ports/www/wordpress/pkg-message	2010-12-02 19:46:37.000000000 +0900
+++ ./pkg-message	1970-01-01 09:00:00.000000000 +0900
@@ -1,6 +0,0 @@
-                  **** NOTE ****
-Before the first use of WordPress, copy wp-config-sample.php to wp-config.php
-in ${WWWDIR} and modify it to fit your MySQL.
-Maybe you need 'mysqladmin create wordpress' first.
-If you are upgrading from 1.x or 2.x to 3.x, please run
-http://your.site/wordpress/wp-admin/upgrade.php to upgrade to WordPress 3.x
--- wordpress-3.5,1.patch ends here ---


russian
When the next version comes out, you may change tarball.
Comment 1 Xin LI freebsd_committer 2013-01-30 01:39:03 UTC
Responsible Changed
From-To: freebsd-ports-bugs->delphij

Take.
Comment 2 dfilter freebsd_committer 2013-01-30 01:50:51 UTC
Author: delphij
Date: Wed Jan 30 01:50:42 2013
New Revision: 311195
URL: http://svnweb.freebsd.org/changeset/ports/311195

Log:
  Update to 3.5.1.  While I'm there, also change russian to use gzipped tarball,
  make the port to use OptionsNG and fix installation permissions.
  
  PR:		ports/175525 [1], ports/175632 [2], ports/175679 [3]
  Submitted by:	Takefu <takefu airport fm> [1],
  		Mihail Timofeev <miha_hard mail ru> [2],
  		delphij [3]
  Approved by:	maintainer, 9267096@gmail.com [1][2], ychsiao [1][3]
  Security:	559e00b7-6a4d-11e2-b6b0-10bf48230856

Added:
  head/russian/wordpress/files/pkg-install.in   (contents, props changed)
  head/www/wordpress/files/
  head/www/wordpress/files/pkg-install.in   (contents, props changed)
  head/www/wordpress/files/pkg-message.in   (contents, props changed)
Deleted:
  head/www/wordpress/pkg-message
Modified:
  head/russian/wordpress/Makefile
  head/russian/wordpress/distinfo
  head/www/wordpress/Makefile
  head/www/wordpress/distinfo

Modified: head/russian/wordpress/Makefile
==============================================================================
--- head/russian/wordpress/Makefile	Wed Jan 30 00:58:22 2013	(r311194)
+++ head/russian/wordpress/Makefile	Wed Jan 30 01:50:42 2013	(r311195)
@@ -2,27 +2,31 @@
 # $FreeBSD$
 
 PORTNAME=	wordpress
-PORTVERSION=	3.5
+PORTVERSION=	3.5.1
 CATEGORIES=	russian www
 MASTER_SITES=	http://ru.wordpress.org/
 DISTNAME=	${PORTNAME}-${PORTVERSION}-ru_RU
 
 MAINTAINER=	9267096@gmail.com
-COMMENT=	State-of-the-art semantic personal publishing platform
+COMMENT=	A state-of-the-art semantic personal publishing platform
 
 LICENSE=	GPLv2
+LICENSE_FILE=	${WRKSRC}/license.txt
 
 CONFLICTS_INSTALL=	wordpress-3.* de-wordpress-3.* ja-wordpress-3.*
 
 NO_BUILD=	yes
-USE_ZIP=	yes
 USE_PHP=	curl gd mysql pcre tokenizer xml zip
 WANT_PHP_WEB=	yes
 WRKSRC=		${WRKDIR}/${PORTNAME}
 
+SUB_FILES=	pkg-message pkg-install
+SUB_LIST=	CHGRP="${CHGRP}" CHOWN="${CHOWN}" CHMOD="${CHMOD}"\
+		FIND="${FIND}" WWWGRP="${WWWGRP}" WWWOWN="${WWWOWN}"
 PLIST=		${WRKDIR}/pkg-plist
-PORTDOCS=	readme.html
-SUB_FILES=	pkg-message
+PORTDOCS=	license.txt readme.html
+
+OPTIONS_DEFINE=	DOCS
 
 pre-everything::
 	@${ECHO_CMD} "If you want to upgrade, you must read upgrade document."
@@ -36,15 +40,18 @@ pre-install:
 	if [ ! -f ${WRKSRC}/wp-config-sample.php ]; then ${CP} \
 		${WRKSRC}/wp-config.php.sample ${WRKSRC}/wp-config.php; fi
 
+.include <bsd.port.options.mk>
+
 do-install:
 	${INSTALL} -d -g ${WWWGRP} -m 755 -o ${WWWOWN} ${WWWDIR}/
 	${CP} -R ${WRKSRC}/ ${WWWDIR}/
-.if !defined(NOPORTDOCS)
+.if ${PORT_OPTIONS:MDOCS}
 	${MKDIR} ${DOCSDIR}/
 	cd ${WRKSRC}/ && ${INSTALL_DATA} ${PORTDOCS} ${DOCSDIR}/
 .endif
 
 post-install:
+	@${SETENV} PKG_PREFIX=${PREFIX} ${SH} ${PKGINSTALL} ${PKGNAME} POST-INSTALL
 	@${CAT} ${PKGMESSAGE}
 
 .include <bsd.port.mk>

Modified: head/russian/wordpress/distinfo
==============================================================================
--- head/russian/wordpress/distinfo	Wed Jan 30 00:58:22 2013	(r311194)
+++ head/russian/wordpress/distinfo	Wed Jan 30 01:50:42 2013	(r311195)
@@ -1,2 +1,2 @@
-SHA256 (wordpress-3.5-ru_RU.zip) = 850d56fee6cdd45c765d627d41df7c8b318470bebbb7b07a722ee7eb4d53cf21
-SIZE (wordpress-3.5-ru_RU.zip) = 6664495
+SHA256 (wordpress-3.5.1-ru_RU.tar.gz) = 4e233d270fbadcaa9ab68e8fe26df7864b03194e5f6dd4a9860d7d872628b4c7
+SIZE (wordpress-3.5.1-ru_RU.tar.gz) = 6185231

Added: head/russian/wordpress/files/pkg-install.in
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/russian/wordpress/files/pkg-install.in	Wed Jan 30 01:50:42 2013	(r311195)
@@ -0,0 +1,12 @@
+#!/bin/sh
+case $2 in
+	PRE-INSTALL)
+		;;
+	POST-INSTALL)
+		%%CHOWN%% -R %%WWWOWN%% %%WWWDIR%%/wp-content
+		%%FIND%% %%WWWDIR%% -type d -print | xargs %%CHGRP%% %%WWWGRP%%
+		%%FIND%% %%WWWDIR%% -type d -print | xargs %%CHMOD%% g+w
+		;;
+	*)
+	;;
+esac
\ No newline at end of file

Modified: head/www/wordpress/Makefile
==============================================================================
--- head/www/wordpress/Makefile	Wed Jan 30 00:58:22 2013	(r311194)
+++ head/www/wordpress/Makefile	Wed Jan 30 01:50:42 2013	(r311195)
@@ -1,12 +1,8 @@
-# New ports collection makefile for:	wordpress
-# Date created:		2004-07-29
-# Whom:			Elvis Chiang <elvis@sslab.cs.ccu.edu.tw>
-#
+# Created by: Elvis Chiang <elvis@sslab.cs.ccu.edu.tw>
 # $FreeBSD$
-#
 
 PORTNAME=	wordpress
-PORTVERSION=	3.5
+PORTVERSION=	3.5.1
 PORTEPOCH=	1
 CATEGORIES=	www
 MASTER_SITES=	http://wordpress.org/
@@ -14,6 +10,9 @@ MASTER_SITES=	http://wordpress.org/
 MAINTAINER=	ychsiao@ychsiao.org
 COMMENT=	A state-of-the-art semantic personal publishing platform
 
+LICENSE=	GPLv2
+LICENSE_FILE=	${WRKSRC}/license.txt
+
 CONFLICTS_INSTALL=	de-wordpress-3.* ja-wordpress-3.* ru-wordpress-3.*
 
 NO_BUILD=	yes
@@ -21,6 +20,9 @@ USE_PHP=	curl gd mysql pcre tokenizer xm
 WANT_PHP_WEB=	yes
 WRKSRC=		${WRKDIR}/${PORTNAME}
 
+SUB_FILES=	pkg-message pkg-install
+SUB_LIST=	CHGRP="${CHGRP}" CHOWN="${CHOWN}" CHMOD="${CHMOD}"\
+		FIND="${FIND}" WWWGRP="${WWWGRP}" WWWOWN="${WWWOWN}"
 PLIST=		${WRKDIR}/pkg-plist
 PORTDOCS=	license.txt readme.html
 
@@ -49,6 +51,7 @@ do-install:
 .endif
 
 post-install:
+	@${SETENV} PKG_PREFIX=${PREFIX} ${SH} ${PKGINSTALL} ${PKGNAME} POST-INSTALL
 	@${CAT} ${PKGMESSAGE}
 
 .include <bsd.port.mk>

Modified: head/www/wordpress/distinfo
==============================================================================
--- head/www/wordpress/distinfo	Wed Jan 30 00:58:22 2013	(r311194)
+++ head/www/wordpress/distinfo	Wed Jan 30 01:50:42 2013	(r311195)
@@ -1,2 +1,2 @@
-SHA256 (wordpress-3.5.tar.gz) = def1d094dbd3fcc52208d4e63ae4c31901dfd97e9b4cd619b7d017fd342972ab
-SIZE (wordpress-3.5.tar.gz) = 5009441
+SHA256 (wordpress-3.5.1.tar.gz) = f7d627bc886eac75aae22e526acdbdea244a12a92f02e6084ba5193d4b0d7a97
+SIZE (wordpress-3.5.1.tar.gz) = 5012722

Added: head/www/wordpress/files/pkg-install.in
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/www/wordpress/files/pkg-install.in	Wed Jan 30 01:50:42 2013	(r311195)
@@ -0,0 +1,14 @@
+#!/bin/sh
+# $FreeBSD$
+
+case $2 in
+	PRE-INSTALL)
+		;;
+	POST-INSTALL)
+		%%CHOWN%% -R %%WWWOWN%% %%WWWDIR%%/wp-content
+		%%FIND%% %%WWWDIR%% -type d -print | xargs %%CHGRP%% %%WWWGRP%%
+		%%FIND%% %%WWWDIR%% -type d -print | xargs %%CHMOD%% g+w
+		;;
+	*)
+	;;
+esac

Added: head/www/wordpress/files/pkg-message.in
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/www/wordpress/files/pkg-message.in	Wed Jan 30 01:50:42 2013	(r311195)
@@ -0,0 +1,6 @@
+                  **** NOTE ****
+Before the first use of WordPress, copy wp-config-sample.php to wp-config.php
+in %%WWWDIR%% and modify it to fit your MySQL.
+Maybe you need 'mysqladmin create wordpress' first.
+If you are upgrading from 1.x or 2.x to 3.x, please run
+http://your.site/wordpress/wp-admin/upgrade.php to upgrade to WordPress 3.x
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 dfilter freebsd_committer 2013-01-30 01:55:37 UTC
Author: delphij
Date: Wed Jan 30 01:55:29 2013
New Revision: 311196
URL: http://svnweb.freebsd.org/changeset/ports/311196

Log:
  Use OPTIONSng.
  
  PR:		ports/175525
  Submitted by:	Takefu <takefu airport fm>

Modified:
  head/japanese/wordpress/Makefile

Modified: head/japanese/wordpress/Makefile
==============================================================================
--- head/japanese/wordpress/Makefile	Wed Jan 30 01:50:42 2013	(r311195)
+++ head/japanese/wordpress/Makefile	Wed Jan 30 01:55:29 2013	(r311196)
@@ -26,6 +26,8 @@ SUB_LIST=	CHGRP="${CHGRP}" CHOWN="${CHOW
 PLIST=		${WRKDIR}/pkg-plist
 PORTDOCS=	license.txt readme.html
 
+OPTIONS_DEFINE=	DOCS
+
 pre-everything::
 	@${ECHO_CMD} "If you want to upgrade, you must read upgrade document."
 	@${ECHO_CMD} ""
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Xin LI freebsd_committer 2013-01-30 01:55:39 UTC
State Changed
From-To: feedback->closed

Committed, thanks!